promtool(1)

NAME
promtool - Tooling for the Prometheus monitoring system

SYNOPSIS

promtool [<flags>] <command> [<args> ...]

DESCRIPTION
Tooling for the Prometheus monitoring system.

OPTIONS

-h, --help
    Show context-sensitive help (also try --help-long and --help-man).

--version
    Show application version.

COMMANDS

  help [<command>...]

Show help.

  check config <config-files>...

Check if the config files are valid or not.

  check rules <rule-files>...

Check if the rule files are valid or not.

  check metrics

Pass Prometheus metrics over stdin to lint them for consistency and correctness.

examples:

$ cat metrics.prom | promtool check metrics

$ curl -s http://localhost:9090/metrics | promtool check metrics

  query instant <server> <expr>

Run instant query.

  query range [<flags>] <server> <expr>

Run range query.

--header=HEADER
    Extra headers to send to server.

--start=START
    Query range start time (RFC3339 or Unix timestamp).

--end=END
    Query range end time (RFC3339 or Unix timestamp).

--step=STEP
    Query step size (duration).

  query series --match=MATCH [<flags>] <server>

Run series query.

--match=MATCH
    Series selector. Can be specified multiple times.

--start=START
    Start time (RFC3339 or Unix timestamp).

--end=END
    End time (RFC3339 or Unix timestamp).

  query labels <server> <name>

Run labels query.

  debug pprof <server>

Fetch profiling debug information.

  debug metrics <server>

Fetch metrics debug information.

  debug all <server>

Fetch all debug information.

  test rules <test-rule-file>...

Unit tests for rules.